Subject: [PATCH v5 1/1] iommu-api: Add map_sg/unmap_sg functions

From: [email-masked] (joro at 8bytes.org)
Date: Mon, 18 Aug 2014 23:26:27 +0200

On Mon, Aug 18, 2014 at 01:48:46PM -0700, Olav Haugan wrote:
> On 8/18/2014 11:32 AM, Rob Clark wrote:

> No, I do not have other uses right now. But could imagine use cases like
> "force <insert minimum mapping size here> mapping" flag etc.

I think it is worth discussing to add a flush() function to the
IOMMU-API. I sent a patch-set myself a few years ago introducing an
iommu_commit() function with the same semantics, but this is
out-of-scope for this patch-set.

Also adding a flag parameter to iommu_map_sg would introduce an
asymentrie in the API to the iommu_map() function. So please leave it
out for this patch-set, when we really need a flag parameter someday we
can introduce it for iommu_map() and iommu_map_sg() together.

	Joerg